function preview(){

frm=document.frmupload;

if (frm.prvbtn.value=="取消预览"){
	prv.style.display = "none";
	frm.prvbtn.value="预览照片";
	if(frm.UpFile.value==""){
		frm.prvbtn.disabled=true;
		frm.upsubmit.disabled=true;
		
		}
	else{
		frm.prvbtn.disabled=false;
		frm.upsubmit.disabled=false;
		}}
else{
	if (frm.UpFile.value==""){
		alert("请选择图片!");
		frm.UpFile.focus();
	 	return false;}

	document.foto.src=frm.UpFile.value;
	prv.style.display = "";
	frm.prvbtn.value="取消预览";}

return false;

}

function chgpre(){

frm=document.frmupload;

if (prv.style.display != "none")
	{document.foto.src=frm.UpFile.value;}
else
	{
	if (frm.UpFile.value==""){
		frm.upsubmit.disabled=true;
		frm.prvbtn.disabled=true;}
	else{
		frm.upsubmit.disabled=false;
		frm.prvbtn.disabled=false;}

	}

}